Bug 469078 - seahorse crashes on first run
seahorse crashes on first run
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: seahorse (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 15:14 EDT by Bill Nottingham
Modified: 2014-03-16 23:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-01 18:00:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-10-29 15:14:45 EDT
Description of problem:


$ seahorse
** Message: init gpgme version 1.1.7

(seahorse:24374): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed
*** glibc detected *** seahorse: munmap_chunk(): invalid pointer: 0x0000000000f654b0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3d54e77bb8]
/usr/lib64/gtk-2.0/modules/libgnomebreakpad.so[0x2aef581]
/usr/lib64/gtk-2.0/modules/libgnomebreakpad.so[0x2aef769]
/lib64/libpthread.so.0[0x3d55a0f0b0]
seahorse[0x436ba0]
seahorse[0x41af3e]
seahorse[0x41f0d8]
/lib64/libgobject-2.0.so.0(g_object_newv+0x253)[0xf5f163]
seahorse[0x4221f7]
seahorse[0x4172dd]
/lib64/libc.so.6(__libc_start_main+0xe6)[0x3d54e1e546]
seahorse[0x417159]
======= Memory map: ========
00110000-00120000 r-xp 00000000 08:02 278475                             /usr/lib64/libcryptui.so.0.0.0
00120000-00320000 ---p 00010000 08:02 278475                             /usr/lib64/libcryptui.so.0.0.0
00320000-00321000 rw-p 00010000 08:02 278475                             /usr/lib64/libcryptui.so.0.0.0
00400000-0049d000 r-xp 00000000 08:02 147388                             /usr/bin/seahorse
0069d000-006a1000 rw-p 0009d000 08:02 147388                             /usr/bin/seahorse
006a1000-006a2000 rw-p 006a1000 00:00 0 
006a2000-006a6000 r-xp 00000000 08:02 9481749                            /lib64/libgthread-2.0.so.0.1800.2
006a6000-008a5000 ---p 00004000 08:02 9481749                            /lib64/libgthread-2.0.so.0.1800.2
008a5000-008a6000 rw-p 00003000 08:02 9481749                            /lib64/libgthread-2.0.so.0.1800.2
008a6000-008d4000 r-xp 00000000 08:02 5646578                            /usr/lib64/libgpgme.so.11.6.5
008d4000-00ad4000 ---p 0002e000 08:02 5646578                            /usr/lib64/libgpgme.so.11.6.5
00ad4000-00ad6000 rw-p 0002e000 08:02 5646578                            /usr/lib64/libgpgme.so.11.6.5
00ad6000-00ad7000 rw-p 00ad6000 00:00 0 
00ad7000-00b48000 r-xp 00000000 08:02 9481726                            /lib64/libgio-2.0.so.0.1800.2
00b48000-00d48000 ---p 00071000 08:02 9481726                            /lib64/libgio-2.0.so.0.1800.2
00d48000-00d4b000 rw-p 00071000 08:02 9481726                            /lib64/libgio-2.0.so.0.1800.2
00d4b000-00d4e000 r-xp 00000000 08:02 9481739                            /lib64/libgmodule-2.0.so.0.1800.2
00d4e000-00f4d000 ---p 00003000 08:02 9481739                            /lib64/libgmodule-2.0.so.0.1800.2
00f4d000-00f4e000 rw-p 00002000 08:02 9481739                            /lib64/libgmodule-2.0.so.0.1800.2
00f4e000-00f8f000 r-xp 00000000 08:02 9481743                            /lib64/libgobject-2.0.so.0.1800.2
00f8f000-0118f000 ---p 00041000 08:02 9481743                            /lib64/libgobject-2.0.so.0.1800.2
0118f000-01191000 rw-p 00041000 08:02 9481743                            /lib64/libgobject-2.0.so.0.1800.2
01191000-011a4000 r-xp 00000000 08:02 7270981                            /usr/lib64/gtk-2.0/2.10.0/engines/libnodoka.so
011a4000-013a3000 ---p 00013000 08:02 7270981                            /usr/lib64/gtk-2.0/2.10.0/engines/libnodoka.so
013a3000-013a4000 rw-p 00012000 08:02 7270981                            /usr/lib64/gtk-2.0/2.10.0/engines/libnodoka.so
013a4000-013b3000 r-xp 00000000 08:02 311213                             /usr/lib64/libcanberra.so.0.1.3
013b3000-015b2000 ---p 0000f000 08:02 311213                             /usr/lib64/libcanberra.so.0.1.3
015b2000-015b3000 rw-p 0000e000 08:02 311213                             /usr/lib64/libcanberra.so.0.1.3
015b3000-015ba000 r-xp 00000000 08:02 311210                             /usr/lib64/libvorbisfile.so.3.2.0
015ba000-017b9000 ---p 00007000 08:02 311210                             /usr/lib64/libvorbisfile.so.3.2.0
017b9000-017ba000 rw-p 00006000 08:02 311210                             /usr/lib64/libvorbisfile.so.3.2.0
017ba000-017bf000 r-xp 00000000 08:02 5636026                            /usr/lib64/libogg.so.0.5.3
017bf000-019be000 ---p 00005000 08:02 5636026                            /usr/lib64/libogg.so.0.5.3
019be000-019bf000 rw-p 00004000 08:02 5636026                            /usr/lib64/libogg.so.0.5.3
01dce000-01dde000 r-xp 00000000 08:02 5645965                            /usr/lib64/libgvfscommon.so.0.0.0
01dde000-01fde000 ---p 00010000 08:02 5645965                            /usr/lMultiple segmentation faults occurred; can't display error dialog


Version-Release number of selected component (if applicable):

seahorse-2.24.1-1.fc10.x86_64

How reproducible:

The first time

Steps to Reproduce:
1. yum install seahorse
2. run seahorse
  
Actual results:

crash

Expected results:

no crash

Additional info:

Running it again works. (!?)
Comment 1 Matthias Clasen 2008-10-29 15:16:40 EDT
works fine here...

if you can reproduce, can you get a stacktrace ?
Comment 2 Bug Zapper 2008-11-25 23:27:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bill Nottingham 2009-09-01 18:00:16 EDT
This has gone away by now.

Note You need to log in before you can comment on or make changes to this bug.